#
# This file is part of Dist-Zilla-Plugin-ContributorsFromGit
#
# This software is Copyright (c) 2017, 2015, 2014, 2013, 2012 by Chris Weyl.
#
# This is free software, licensed under:
#
#   The GNU Lesser General Public License, Version 2.1, February 1999
#
# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.010.
use strict;
use warnings;

use 5.010000;

use ExtUtils::MakeMaker;

use File::ShareDir::Install;
$File::ShareDir::Install::INCLUDE_DOTFILES = 1;
$File::ShareDir::Install::INCLUDE_DOTDIRS = 1;
install_share dist => "share";


my %WriteMakefileArgs = (
  "ABSTRACT" => "Populate your 'CONTRIBUTORS' POD from the list of git authors",
  "AUTHOR" => "Chris Weyl <cweyl\@alumni.drew.edu>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0,
    "File::ShareDir::Install" => "0.06"
  },
  "DISTNAME" => "Dist-Zilla-Plugin-ContributorsFromGit",
  "LICENSE" => "lgpl",
  "MIN_PERL_VERSION" => "5.010000",
  "NAME" => "Dist::Zilla::Plugin::ContributorsFromGit",
  "PREREQ_PM" => {
    "Dist::Zilla" => "5.013",
    "Dist::Zilla::Role::BeforeBuild" => 0,
    "Dist::Zilla::Role::MetaProvider" => 0,
    "Dist::Zilla::Role::RegisterStash" => 0,
    "Dist::Zilla::Stash::PodWeaver" => 0,
    "Encode" => 0,
    "File::ShareDir" => 0,
    "File::Which" => 0,
    "IPC::System::Simple" => 0,
    "List::AllUtils" => 0,
    "Moose" => 0,
    "MooseX::AttributeShortcuts" => 0,
    "MooseX::Types::Moose" => 0,
    "Path::Class" => 0,
    "YAML::Tiny" => 0,
    "aliased" => 0,
    "autobox::Core" => 0,
    "autobox::Junctions" => 0,
    "autodie" => 0,
    "utf8" => 0
  },
  "TEST_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0,
    "File::Spec" => 0,
    "File::chdir" => 0,
    "IO::Handle" => 0,
    "IO::Pty" => 0,
    "IPC::Open3" => 0,
    "Test::CheckDeps" => "0.010",
    "Test::DZil" => 0,
    "Test::File::ShareDir" => 0,
    "Test::Moose::More" => 0,
    "Test::More" => "0.94",
    "Test::TempDir::Tiny" => 0,
    "blib" => "1.01",
    "lib" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "VERSION" => "0.018",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Dist::Zilla" => "5.013",
  "Dist::Zilla::Role::BeforeBuild" => 0,
  "Dist::Zilla::Role::MetaProvider" => 0,
  "Dist::Zilla::Role::RegisterStash" => 0,
  "Dist::Zilla::Stash::PodWeaver" => 0,
  "Encode" => 0,
  "ExtUtils::MakeMaker" => 0,
  "File::ShareDir" => 0,
  "File::Spec" => 0,
  "File::Which" => 0,
  "File::chdir" => 0,
  "IO::Handle" => 0,
  "IO::Pty" => 0,
  "IPC::Open3" => 0,
  "IPC::System::Simple" => 0,
  "List::AllUtils" => 0,
  "Moose" => 0,
  "MooseX::AttributeShortcuts" => 0,
  "MooseX::Types::Moose" => 0,
  "Path::Class" => 0,
  "Test::CheckDeps" => "0.010",
  "Test::DZil" => 0,
  "Test::File::ShareDir" => 0,
  "Test::Moose::More" => 0,
  "Test::More" => "0.94",
  "Test::TempDir::Tiny" => 0,
  "YAML::Tiny" => 0,
  "aliased" => 0,
  "autobox::Core" => 0,
  "autobox::Junctions" => 0,
  "autodie" => 0,
  "blib" => "1.01",
  "lib" => 0,
  "strict" => 0,
  "utf8" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);

{
package
MY;
use File::ShareDir::Install qw(postamble);
}
